from lib.utils import PathUtil as pathUtil
from lib.utils import IDUtil as idUtil
import os

ID = idUtil.get_random_id_bytime()

# path config
WORK_DIR = os.getcwd()

DATA_FOLDER_PATH = f"{WORK_DIR}/data"
TEMP_FOLDER_PATH = f"{WORK_DIR}/save"
SAVE_FOLDER_PATH = f"{WORK_DIR}/archive"
CFG_FOLDER_PATH = f"{WORK_DIR}/conf"

pathUtil.auto_create_folder_path(
    TEMP_FOLDER_PATH,
    SAVE_FOLDER_PATH,
    DATA_FOLDER_PATH,
    CFG_FOLDER_PATH,
)
